
##### Common UNIX/Linux Dev/QA services

define service {
	service_description		nrpe_unixtest_agent_status
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA, !CPanel Dev/QA, !Oracle Exadata Dev/QA, !TSM Dev/QA
	max_check_attempts		3
	retry_check_interval		3
	check_freshness			1
	freshness_threshold		1220
	check_command			check_nrpe_agent
	contacts			ESS UNIX List
}

#define service {
#	service_description		ESS Services
#	use				UNIX Dev/QA service
#	host_name			csgroxen102l
#	max_check_attempts		6
#	normal_check_interval		10
#	retry_check_interval		10
#	process_perf_data		1
#	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
#	check_command			check_multi!-f /usr/local/nagios/etc/objects/multi_unixtest.cmd -n "$SERVICEDESC$" -l /usr/local/monitoring/nagios/libexec -t 80 -T 160 -s HOSTADDRESS=$HOSTADDRESS$ -r 1+2+4+8+64
#	contacts			nobody
#	contact_groups			null
#}

define service {
	service_description		nrpe_unixtest_active_mem
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA, !CPanel Dev/QA, !Oracle Exadata Dev/QA, !TSM Dev/QA, !Exceptions
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_active_mem!90!95
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unixtest_cpu_system
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA, !CPanel Dev/QA, !Oracle Exadata Dev/QA, !TSM Dev/QA, !Exceptions
	max_check_attempts		6
	normal_check_interval		10
	retry_check_interval		10
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_cpu_system!70:80!50:70
	contacts			ESS UNIX List
	contact_groups			null
}

define service {
	service_description		nrpe_unixtest_cpu_user
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA, !CPanel Dev/QA, !Oracle Exadata Dev/QA, !TSM Dev/QA, !Exceptions
	max_check_attempts		6
	normal_check_interval		10
	retry_check_interval		10
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_cpu_user!85:90
	contacts			nobody
	contact_groups			null
}

define service {
	service_description		nrpe_unixtest_load
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA, !32bit Linux, !Oracle Exadata Dev/QA, !TSM Dev/QA, !Exceptions
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_load!2,2.3,2.7!4,4.5,5!" -r "
	contacts			nobody
	contact_groups			null
}

define service {
	service_description		nrpe_unixtest_disk_system
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA, !CPanel Dev/QA, Linux DevQA - no SNMP, !Oracle Exadata Dev/QA, !TSM Dev/QA, !Exceptions
	check_command			check_nrpe_disk_by_class!system
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unixtest_swap
	use				UNIX Dev/QA service
	hostgroup_name			Linux DevQA - no SNMP, !Oracle Exadata Dev/QA, !TSM Dev/QA, !Exceptions
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_swap!20!10
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unixtest_proclist_linux
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA OEL5, !CPanel Dev/QA
	host_name			!harris
	check_command			check_nrpe_proclist!crond,nscd,ntpd,portmap,sendmail,snmpd,sshd,syslogd,xinetd,ypbind
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unixtest_proc_tripwire
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA, !CPanel Dev/QA, !Oracle Exadata Dev/QA, !TSM Dev/QA
	check_command			check_nrpe_process!5!1:! -a tripwire -t 30
	contacts			ESS UNIX List
}


# No ypbind check
define service {
	service_description		nrpe_unixtest_proclist_linux
	use				UNIX Dev/QA service
	host_name			harris
	check_command			check_nrpe_proclist!crond,nscd,ntpd,portmap,sendmail,snmpd,sshd,syslogd,xinetd
	contacts			ESS UNIX List
}


define service {
	service_description		nrpe_unixtest_proclist_linux6
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA OEL6, !Oracle Exadata Dev/QA, !TSM Dev/QA
	host_name			!cses01, !csglists300l
	check_command			check_nrpe_proclist!crond,nscd,ntpd,sendmail,snmpd,sshd,rsyslogd,xinetd,ypbind
	contacts			ESS UNIX List
}

# No sendmail
define service {
	service_description		nrpe_unixtest_proclist_linux6
	use				UNIX Dev/QA service
	host_name			cses01, csglists300l
	check_command			check_nrpe_proclist!crond,nscd,ntpd,snmpd,sshd,rsyslogd,xinetd,ypbind
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unixtest_lxfiles
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA OEL5, !CPanel Dev/QA
	check_command			check_nrpe_unix_lxfiles!-c!/etc/fstab,/etc/group,/etc/hosts,/etc/hosts.allow,/etc/passwd,/etc/syslog.conf
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unixtest_lxfiles6
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA OEL6, !Oracle Exadata Dev/QA, !TSM Dev/QA
	check_command			check_nrpe_unix_lxfiles!-c!/etc/fstab,/etc/group,/etc/hosts,/etc/hosts.allow,/etc/passwd,/etc/rsyslog.conf
	contacts			ESS UNIX List
}

#define service {
#	service_description		nrpe_unixtest_log_nfs_failure
#	use				UNIX Dev/QA service
#	host_name			epm302l
#	max_check_attempts		1
#	normal_check_interval		10
#	is_volatile			1
#	notification_options		w,c
#	check_command			check_nrpe_very_generic! -p $USER10$! -t $USER3$! -H eis222l! -c check_log3! -a /logs/today/$HOSTNAME$/messages!'kernel: nfs:.+not responding'!' -s /tmp/nagios_check_log_nfs_failure_$HOSTNAME$ -i -c 1 -a -Q --missing=OK --show-filename'
#	contacts			John Shorey
#}

define service {
	service_description		nrpe_unixtest_log_nfs_failure
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA OEL6, !Oracle Exadata Dev/QA, !TSM Dev/QA
	max_check_attempts		1
	normal_check_interval		10
	is_volatile			1
	notification_options		w,c
#	check_command			check_nrpe_very_generic! -p $USER10$! -t $USER3$! -H eis222l! -c check_log3! -a /logs/today/$HOSTNAME$/messages!'kernel:.+nfs'!' -s /tmp/nagios_check_log_nfs_failure_$HOSTNAME$ -i -c 1 -a -Q --missing=OK --show-filename'
        check_command                   check_nrpe_very_generic! -p $USER10$! -t $USER3$! -H eis222l! -c check_log3! -a /logs/today/$HOSTNAME$/messages!'kernel:.+nfs.+not.+responding'!' -s /tmp/nagios_check_log_nfs_failure_$HOSTNAME$ -i -c 1 -a -Q --missing=OK --show-filename'
	contacts			ESS Storage
}

define service {
	service_description		snmp_unixtest_alive
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA, !CPanel Dev/QA, !Linux DevQA - no SNMP, !TSM Dev/QA
	max_check_attempts		3
	retry_check_interval		3
	check_command			check_snmp_alive
	contacts			Igor V. Gubenko
}

#define service {
#	service_description		snmp_unixtest_disk_system
#	use				UNIX Dev/QA service
#	hostgroup_name			Linux Dev/QA, !CPanel Dev/QA, !Oracle Exadata Dev/QA, !Linux DevQA - no SNMP, !TSM Dev/QA
#	max_check_attempts		5
#	retry_interval			10
#	check_command			check_snmp_disk!^/(|boot|tmp|usr(|/local)|var(|/local)|home)$!90!95
#	contacts			Igor V. Gubenko
#}


#define service {
#	service_description		snmp_unixtest_disk_app
#	use				UNIX Dev/QA service
#	hostgroup_name			Linux Dev/QA, !Application Linux Dev/QA, !CPanel Dev/QA, !DBA UNIX Dev/QA, !Linux DevQA - no SNMP, !TSM Dev/QA
#	max_check_attempts		5
#	retry_interval			10
#	check_command			check_snmp_disk_except!^/(|batman/.*|dev(|ices)(|/.*)|dmsdrop/.*|etc/(mnttab|dfs/sharetab|svc/volatile)|export(|/home.*)|platform/sun4[uv].*|system/(contract|object)|proc(|/.*)|boot|nashome|patches|run(|/.*)|rpool|sys/fs/cgroup|tmp|usr(|/compile|/licensed|/local|/operations|/psr.oit|/hostdatabase)|var(|/local|/localsoft|/run|/scholarpac|/scratch)|home.*|yum_repo)$!90!95
#	contacts			Igor V. Gubenko
#}


define service {
	service_description		snmp_unixtest_disk_app_dba
	use				UNIX Dev/QA service
	hostgroup_name			DBA UNIX Dev/QA
	check_command			check_snmp_disk!^/(apps|appware|grid|psapp|ora.*|oem|pshrsa.*|redo.*|u01)$!90!95
	contacts			DBA Important List
}

define service {
	service_description		snmp_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			asoar301l
	check_command			check_snmp_disk!^/oar$!85!95
	contacts			Open Access Repository
}

define service {
	service_description		snmp_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			hoover1
	check_command			check_snmp_disk!^/(var/local/software|data)$!75!85
	contacts			Networking
}

define service {
	service_description		snmp_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			ais101l, ais302l
	check_command			check_snmp_disk!^/aislocal$!70!85
	notification_options		w,c,r
	contacts			AIS Mon CustomApps
}

define service {
	service_description		nrpe_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			ais111l
	check_command			check_nrpe_disk_by_class!AIScustomapps
	notification_options		w,c,r
	contacts			AIS Mon CustomApps
}

define service {
	service_description		snmp_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			ais310l, ais311l
	check_command			check_snmp_disk!^/(pafiles|weblogic|tomcat|middleware)!85!95
	notification_options		w,c,r
	contacts			AIS Mon CustomApps
}

define service {
	service_description		snmp_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			ele303l, ele304l
	check_command			check_snmp_disk!^/usr/local/ele$!80!95
	contacts			Philip Fugate
}

define service {
	service_description		snmp_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			sdpldap100l, sdpldap101l
	check_command			check_snmp_disk!^/var/ldap$!70!85
	contacts			Identity and Access Management
}

define service {
	service_description		snmp_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			sdpprox100l, sdpprox101l, sdpprox300l, sdpprox301l
	check_command			check_snmp_disk!^/puaccess$!70!85
	contacts			Identity and Access Management
}

#define service {
#	service_description		snmp_linuxtest_mem
#	use				UNIX Dev/QA service
#	hostgroup_name			Linux Dev/QA, !CPanel Dev/QA, !Linux DevQA - no SNMP, !Oracle Exadata Dev/QA, !TSM Dev/QA
#	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
#	check_command			check_snmp_nix_memory!90,80!98,90
#	contacts			nobody
#	contact_groups			null
#}

define service {
	service_description		nrpe_unixtest_om
	use				UNIX Dev/QA service
	hostgroup_name			Physical Dev/QA Linux
	check_command			check_nrpe_om
	contacts			ESS UNIX List
}

define service {
	service_description		nrpe_unixtest_multipath
	use				UNIX Dev/QA service
	host_name			eis319l
	check_command			check_nrpe_multipath!2!2
	contacts			ESS UNIX List
	contact_groups			null
}

define service {
	service_description		nrpe_unixtest_mounts
	use				UNIX Dev/QA service
	hostgroup_name			Linux Dev/QA, !CPanel Dev/QA, !Oracle Exadata Dev/QA, !TSM Dev/QA
	check_command			check_nrpe_mounts
	contact_groups			null
	contacts			Christopher Dietrich
}

define service {
	service_description		nrpe_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			aisiw302l, aisiw303l
	check_command			check_nrpe_disk_by_class!cedar
	notification_options		w,c,r
	contacts			monocle
}

define service {
	service_description		nrpe_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			aisiw341l
	check_command			check_nrpe_disk_by_class!oas
	notification_options		w,c,r
	contacts			monocle
}

define service {
	service_description		nrpe_unixtest_disk_app_cisdr
	use				UNIX Dev/QA service
	host_name			updatespace
	check_command			check_nrpe_disk_by_class!cisdr
	notification_options		w,c,r
	contact_groups			null
	contacts			DSP Admins
}

define service {
	service_description		nrpe_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			cisdr103l
	check_command			check_nrpe_disk_by_class!dspace
	notification_options		w,c,r
	contact_groups			null
	contacts			CISDR
}

define service {
	service_description		nrpe_unixtest_disk_app_ora
	use				UNIX Dev/QA service
	hostgroup_name			DBA UNIX Dev/QA
	host_name			!eisdba303l
	check_command			check_nrpe_disk_by_class!dbas
	notification_options		w,c,r
	contact_groups			null
	contacts			DBA Important List
}

define service {
	service_description		nrpe_unixtest_disk_app_ora
	use				UNIX Dev/QA service
	host_name			eis176l, eis368l
	check_command			check_nrpe_disk_by_class!Tools855_AppSvrs_2
	notification_options		w,c,r
	contacts			DBA Important List
}

define service {
	service_description		nrpe_unixtest_disk_app_ora
	use				UNIX Dev/QA service
	host_name			eis178l, eis369l
	check_command			check_nrpe_disk_by_class!Tools855_Weblogic_2
	notification_options		w,c,r
	contacts			DBA Important List
}

define service {
	service_description		nrpe_unixtest_disk_app_cisdr
	use				UNIX Dev/QA service
	host_name			csgtools300l
	check_command			check_nrpe_disk_by_class!csg
	notification_options		w,c,r
	contacts			CISDR, CSG OnCall
}

define service {
	service_description		nrpe_unixtest_disk_app_cisdr
	use				UNIX Dev/QA service
	host_name			cisdrroxen100l, cisdrroxen101l, iamroxen301l
	check_command			check_nrpe_disk_by_class!csg
	notification_options		w,c,r
	contacts			OIT CSG Reports
}

define service {
	service_description		nrpe_unixtest_disk_app_iam
	use				UNIX Dev/QA service
	host_name			iamxythos100l, iamxythos101l, iamxythos300l, iamxythos301l
	check_command			check_nrpe_disk_by_class!iam
	notification_options		w,c,r
	contacts			CISDR
}

define service {
	service_description		nrpe_unixtest_disk_app_cisdr
	use				UNIX Dev/QA service
	host_name			cisdrswh100l, cisdrswh300l
	check_command			check_nrpe_disk_by_class!cisdr
	notification_options		w,c,r
	contacts			CISDR
}


define service {
	service_description		nrpe_unixtest_disk_app_bb
	use				UNIX Dev/QA service
	host_name			asbb106l
	check_command			check_nrpe_disk_by_class!bb
	notification_options		w,c,r
	contacts			Kim Y. Huang
}

define service {
	service_description		nrpe_unixtest_disk_app_etc
	use				UNIX Dev/QA service
	host_name			asweb100l, asweb300l
	check_command			check_nrpe_disk_by_class!etc
	notification_options		w,c,r
	contacts			ATS System Administration
}

define service {
	service_description		snmp_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			eisoid101l, eisoid102l
	check_command			check_snmp_disk!^/var$!85!95
	notification_options		w,c,r
	contacts			DBA Important List
}

define service {
	service_description		snmp_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			prson-proj-dev
	check_command			check_snmp_disk!^/usr/local/prson$!85!95
	notification_options		w,c,r
	contacts			PRSON PROJ, Diana I. Tamir - dit2
}

define service {
	service_description		snmp_unixtest_disk_app
	use				UNIX Dev/QA service
	host_name			timeline101l, timeline102l, timeline103l, timeline104l, timeline301l, timeline302l
	check_command			check_snmp_disk!^/usr/local/apps$!85!95
	notification_options		w,c,r
	contacts			Timeline
}

define service {
	service_description		nrpe_unixtest_disk_app_molbio
	use				UNIX Dev/QA service
	host_name			mol100l, mol101l, mol103l, mol300l, mol301l
	check_command			check_nrpe_disk_by_class!molbio
	notification_options		w,c,r
	contact_groups			null
	contacts			Matthew H. Cahn
}

define service {
	service_description		nrpe_unixtest_disk_app_iam
	use				UNIX Dev/QA service
	host_name			iamprox100l, iamprox101l, iamprox102l, iamprox300l, iamprox301l
	check_command			check_nrpe_disk_by_class!iam
	notification_options		w,c,r
	contacts			Identity and Access Management
}

define service {
	service_description		nrpe_unixtest_disk_app_sdp
	use				UNIX Dev/QA service
	host_name			qaprov01, sdpoam100l, sdpoam101l, sdpobi100l, sdpohs100l, sdpohs101l, sdpovd100l, sdpovd101l, sdpprox100l, sdpprox101l, sdpprox300l, sdpprox301l, sdppua300l, sdppua301l
	check_command			check_nrpe_disk_by_class!sdp
	notification_options		w,c,r
	contacts			Identity and Access Management
}

define service {
	service_description		nrpe_unixtest_disk_app_maestro
	use				UNIX Dev/QA service
	hostgroup_name			Maestro Dev/QA
	check_command			check_nrpe_disk_by_class!maestro
	notification_options		w,c,r
	contacts			ESS Storage
}

#define service {
#	service_description		snmp_unixtest_nic
#	use				UNIX Dev/QA service
#	hostgroup_name			Linux Dev/QA
#	check_command			check_snmp_int!'.*'!1!2
#	contact_groups			null
#	contacts			nagiosadmin
#}

define service {
	service_description		snmp_unixtest_OpenManage
	use				UNIX Dev/QA service
	hostgroup_name			Physical Dev/QA Linux
	max_check_attempts		5
	retry_check_interval		5
	notification_interval		43200
	notification_options		c
	check_command			check_snmp_openmanage_new
	contacts			ESS Ops
}

define service {
	service_description		nrpe_unixtest_disk_app_sws
	use                             UNIX Dev/QA service
	host_name			ss100l
        check_command                   check_nrpe_disk_by_class!sws
	notification_options		w,c,r
	contact_groups			null
	contacts			Mark J. Pellecchia, Thomas J. Francais
}

define service {
	service_description		nrpe_unixtest_disk_app
	use                             UNIX Dev/QA service
	host_name			ims316, ims317, ims318, ims319, ims320, ims321
        check_command                   check_nrpe_disk_by_class!ims
	notification_options		w,c,r
	contacts			Networking
}

define service {
	service_description		nrpe_unixtest_disk_app
	use                             UNIX Dev/QA service
	host_name			mon302l, mon303l
        check_command                   check_nrpe_disk_by_class!networking
	notification_options		w,c,r
	contacts			Networking
}


